Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 819832 - midori crashes with segfault
Summary: midori crashes with segfault
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: midori
Version: 17
Hardware: arm
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-08 10:20 UTC by birger
Modified: 2013-08-01 17:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 17:27:01 UTC


Attachments (Terms of Use)

Description birger 2012-05-08 10:20:40 UTC
Description of problem:
almost any web page makes midori crash with a segfault.

Version-Release number of selected component (if applicable):
0.4.4-1

How reproducible:
the startup page is the only one so far that doesn't crash midori

Steps to Reproduce:
1. browse some web page
2. it starts rendering, then midori crashes
3.
  
Actual results:


Expected results:


Additional info:
running on easpberry pi (arm6) using arm5tel binary.
I set selinux to permissive mode without any change.

Comment 1 Kevin Fenzi 2012-05-08 11:45:35 UTC
Can you gather a backtrace?

debuginfo-install midori
gdb /usr/bin/midori
run

then when it crashes, 'thread apply all bt full'

http://fedoraproject.org/wiki/StackTraces#How_do_I_generate_a_backtrace.3F

Also, does: /usr/libexec/webkitgtk/GtkLauncher crash the same way?

Comment 2 Fedora End Of Life 2013-07-04 06:03:51 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2013-08-01 17:27:04 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.